
// 工资套打js
shr.defineClass("shr.customer.gtiit.rpt.chromatographyList", shr.framework.List, {
	initalizeDOM : function () {
		var that = this;
		//that.setColModelData();
		shr.customer.gtiit.rpt.chromatographyList.superClass.initalizeDOM.call(this);
		
		
	},
	/**
	 * 套打模板名称
	 */
	getTemplateName: function() {
		return '/s-HR/PayrollFT';//客户端合同管理文件夹的路径
	},
	/**
	 * 套打QueryPK
	 */
	getTemplateQueryPK: function() {
		return 'com.kingdee.eas.custom.salarytemplate.app.WagesChromatographyQuery';//数据源名称，如果只有一个数据源可以在这里指定，如果多个数据源需要在PrintHelpDataProvider.java 中指定
	},
	/**
	 * 套打dataProvider
	 */
	getTemplateDataProvider: function() {
		return 'com.kingdee.shr.batchAffair.web.util.PrintHelpDataProvider';//数据处理类，固定，不需要修改
	},
	/**
	 * 套打
	 */
	templatePrintAction: function() {//套打方法，固定，不需要修改
	var selectRows = $("#grid").jqGrid("getSelectedRows");
	var number=null;
	if(selectRows.length==0){
		shr.showError({
				message: "Please first query and then select the data in the table for template printing!",
				hideAfter: 5
			});
			return;
		
	}else if(selectRows.length>1){
		shr.showError({
				message: "Please select one of the rows of data!",
				hideAfter: 5
			});
			return;
	}
		for (var i = 0; i < selectRows.length; i++) {  
      // 在这里处理每个选中的行  
       var rowId = selectRows[i];  
	  number= $("#grid").jqGrid("getCell",rowId,'calculationNumber');
      // 根据需要执行其他操作，例如获取行数据或进行其他处理  
     }
	 // 判断模板的路径
	 
	 var tdTemplateName = null;
	 if(number=='GT002'){
		 // 兼职
		  tdTemplateName='/s-HR/PayrollPT'
		 // tdTemplateName = this.getTemplateName();
	 }else if(number='GT001'){
		 tdTemplateName = this.getTemplateName();
	 }else{
		 shr.showError({
				message: "The calculation scheme for the selected data was not found",
				hideAfter: 5
			});
			return;
	 }
	 
		
		var dataProvider = this.getTemplateDataProvider();
		var tdQueryPK = this.getTemplateQueryPK();
		var billId;
	    billId = this.getSelectedFields();
		if (billId && billId.length > 0) {
			billId =  billId.toString();
		}else{
			billId = $("#grid").jqGrid('getDataIDs')[0];
		}
		var url =waf.getContextPath()+"/component/ReportTemplate.do?";
		var param = {
			method:'initalize',
			tdTemplateName: tdTemplateName,
		  	dataProvider: dataProvider,
		  	billID:billId,
		  	tdQueryPK:tdQueryPK
		};
		url = url + $.param(param);
	/*
		var html = '<iframe name=\'printFrame\' id=\'printFrameId\' frameborder=\'no\' src=\''+url +'\' scrolling=\'no\' width=\'570\' height=\'340\'></iframe>';
		if($('#templatePrintDialog').length>0) {
			$('#templatePrintDialog').remove();
		}
		$("body").append("<div id='templatePrintDialog'></div>");
		showDialog("#templatePrintDialog", "chromatography printing", html, [{text: "confirm", click: function() {
				$('#templatePrintDialog').dialog('close');
			 	window.frames['printFrame'].jsBinder.reportOk();	
		}}], null, 500, "close");
	*/
		// 构造iframe，但不需要将其放入弹窗中  
		var iframe = $('<iframe>', {  
			name: 'printFrame',  
			id: 'printFrameId',  
			frameborder: 'no',  
			src: url,  
			scrolling: 'no',  
			width: '570',  
			height: '340'  
		}).hide(); // 隐藏iframe，因为它不需要被用户看到  
		  
		$("body").append(iframe); // 将iframe添加到页面上  
		  
		// 调用确定按钮的点击事件处理函数，模拟用户点击  
		setTimeout(function() {  
			// 由于iframe是异步加载的，这里可能需要一个检查机制来确保iframe已经加载完成  
			
			window.frames['printFrame'].jsBinder.reportOk();  
		  
			// 如果需要的话，可以在这里移除iframe  
			iframe.remove();  
		}, 800); // 延迟执行，确保iframe有足够的时间加载
			}
	
});	
